## armadillo 7.600.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-# Copyright (C) 2008-2015 National ICT Australia (NICTA)
+# Copyright (C) 2008-2016 National ICT Australia (NICTA)
 # 
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
@@ -14,13 +14,9 @@
 
 cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
 
-set(ARMA_MAJOR 6)
-set(ARMA_MINOR 500)
-set(ARMA_PATCH 5)
-set(ARMADILLO_VERSION ${ARMA_MAJOR}.${ARMA_MINOR}.${ARMA_PATCH})
-
-message(STATUS "Configuring Armadillo ${ARMADILLO_VERSION}")
-
+project(armadillo CXX)
+include(CheckIncludeFileCXX)
+include(CheckLibraryExists)
 
 ## Set ARMA_USE_WRAPPER to false if you're getting linking errors when compiling your programs,
 ## or if you prefer to directly link with BLAS and/or LAPACK.
@@ -38,34 +34,62 @@
 set(ARMA_USE_HDF5_ALT         false)
 set(ARMA_USE_ARPACK           false)
 set(ARMA_USE_EXTERN_CXX11_RNG false)
-set(ARMA_USE_SUPERLU          false)  # Caveat: only SuperLU version 4.3 can be used!
-
-project(armadillo CXX)
+set(ARMA_USE_SUPERLU          false)  # Caveat: only SuperLU version 5.x can be used!
+
+
+## extract version from sources
+
+set(ARMA_VERSION_FILE_NAME "${PROJECT_SOURCE_DIR}/include/armadillo_bits/arma_version.hpp")
+
+if(NOT EXISTS ${ARMA_VERSION_FILE_NAME})
+  message(FATAL_ERROR "Can't read ${ARMA_VERSION_FILE_NAME}")
+endif()
+
+file(READ ${ARMA_VERSION_FILE_NAME} ARMA_VERSION_FILE_CONTENTS)
+string(REGEX REPLACE ".*#define ARMA_VERSION_MAJOR ([0-9]+).*" "\\1" ARMA_VERSION_MAJOR "${ARMA_VERSION_FILE_CONTENTS}")
+string(REGEX REPLACE ".*#define ARMA_VERSION_MINOR ([0-9]+).*" "\\1" ARMA_VERSION_MINOR "${ARMA_VERSION_FILE_CONTENTS}")
+string(REGEX REPLACE ".*#define ARMA_VERSION_PATCH ([0-9]+).*" "\\1" ARMA_VERSION_PATCH "${ARMA_VERSION_FILE_CONTENTS}")
+
+message(STATUS "Configuring Armadillo ${ARMA_VERSION_MAJOR}.${ARMA_VERSION_MINOR}.${ARMA_VERSION_PATCH}")
+
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_aux/Modules/")
 
-include(CheckIncludeFileCXX)
-include(CheckLibraryExists)
-
-option(BUILD_SHARED_LIBS "build shared library" ON)
+
+if(MSVC)
+  option(BUILD_SHARED_LIBS "build shared library" OFF)
+else()
+  option(BUILD_SHARED_LIBS "build shared library" ON)
+endif()
+
+option(DETECT_PKG_CONFIG "Detect pkg-config and install pkg-config data, if found" ON)
+
 option(DETECT_HDF5 "Detect HDF5 and include HDF5 support, if found" OFF)
+
+
+if(WIN32)
+  message(STATUS "")
+  message(STATUS "*** WARNING: automatic installation is experimental for this platform.")
+  message(STATUS "*** WARNING: if anything breaks, you get to keep all the pieces.")
+  message(STATUS "*** WARNING: manual installation is described in README.txt")
+  message(STATUS "")
+endif()
+
+if(MSVC AND BUILD_SHARED_LIBS)
+  message(STATUS "")
+  message(STATUS "*** WARNING: building shared library with MSVC is not supported." )
+  message(STATUS "*** WARNING: if anything breaks, you get to keep all the pieces.")
+  message(STATUS "")
+endif()
+
 
 message(STATUS "CMAKE_SYSTEM_NAME          = ${CMAKE_SYSTEM_NAME}"         )
 message(STATUS "CMAKE_CXX_COMPILER_ID      = ${CMAKE_CXX_COMPILER_ID}"     )
 message(STATUS "CMAKE_CXX_COMPILER_VERSION = ${CMAKE_CXX_COMPILER_VERSION}")
 message(STATUS "CMAKE_COMPILER_IS_GNUCXX   = ${CMAKE_COMPILER_IS_GNUCXX}"  )
-
-
-if(WIN32)
-  message(STATUS "")
-  message(STATUS "WARNING:")
-  message(STATUS "Automatic installation is currently not available for this platform.")
-  message(STATUS "Please use the manual installation, as described in the README.txt file.")
-  message(STATUS "You can also use the 'include' folder directly, but you may want to edit")
-  message(STATUS "'include/armadillo_bits/config.hpp' if you have LAPACK installed.")
-  message(STATUS "")
-endif()
-
+message(STATUS "BUILD_SHARED_LIBS          = ${BUILD_SHARED_LIBS}"         )
+message(STATUS "DETECT_PKG_CONFIG          = ${DETECT_PKG_CONFIG}"         )
+message(STATUS "DETECT_HDF5                = ${DETECT_HDF5}"               )
 
 
 ##
@@ -204,6 +228,11 @@
 endif()
 
 
+if(DETECT_PKG_CONFIG)
+  find_package(PkgConfig)
+endif()
+
+
 # set(DETECT_HDF5 true)
 
 ## uncomment the above line to enable the detection of the HDF5 library;
@@ -219,7 +248,6 @@
     # are hidden somewhere very odd that the FindHDF5.cmake script will not
     # find.  Thus, we'll also quickly check pkgconfig to see if there is
     # information on what to use there.
-    find_package(PkgConfig)
     if (PKG_CONFIG_FOUND)
       pkg_check_modules(HDF5 hdf5)
       # But using pkgconfig is a little weird because HDF5_LIBRARIES won't be
@@ -249,7 +277,6 @@
   endif()
 endif()
 
-
 include(ARMA_FindARPACK)
 message(STATUS "ARPACK_FOUND = ${ARPACK_FOUND}")
 
@@ -258,7 +285,7 @@
   set(ARMA_LIBS ${ARMA_LIBS} ${ARPACK_LIBRARY})
 endif()
 
-include(ARMA_FindSuperLU)
+include(ARMA_FindSuperLU5)
 message(STATUS "SuperLU_FOUND = ${SuperLU_FOUND}")
 
 if(SuperLU_FOUND)
@@ -294,38 +321,3 @@
 configure_file(${PROJECT_SOURCE_DIR}/examples/Makefile.cmake ${PROJECT_SOURCE_DIR}/examples/Makefile)
 
 
-include_directories(${PROJECT_BINARY_DIR}/tmp/include/ ${CMAKE_REQUIRED_INCLUDES})
-
-
-## work around a silly limitation in Mac OS X
-if(APPLE)
-  if(${ARMA_MINOR} GREATER 99)
-    math(EXPR ARMA_MINOR_ALT "${ARMA_MINOR} / 10")
-  else()
-    set(ARMA_MINOR_ALT ${ARMA_MINOR})
-  endif()
-else()
-  set(ARMA_MINOR_ALT ${ARMA_MINOR})
-endif()
-
-
-## necessary when linking with Intel MKL on Linux systems
-if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-as-needed")
-endif()
-
-
-if(CMAKE_COMPILER_IS_GNUCXX)
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2")
-endif()
-
-message(STATUS "CMAKE_CXX_FLAGS           = ${CMAKE_CXX_FLAGS}"          )
-message(STATUS "CMAKE_SHARED_LINKER_FLAGS = ${CMAKE_SHARED_LINKER_FLAGS}")
-message(STATUS "CMAKE_REQUIRED_INCLUDES   = ${CMAKE_REQUIRED_INCLUDES}"  )
-
-add_library( armadillo ${PROJECT_SOURCE_DIR}/src/wrapper.cpp )
-target_link_libraries( armadillo ${ARMA_LIBS} )
-set_target_properties(armadillo PROPERTIES VERSION ${ARMA_MAJOR}.${ARMA_MINOR_ALT}.${ARMA_PATCH} SOVERSION ${ARMA_MAJOR})
-
-
-################################################################################
