=== debian/changelog ===
armadillo (1:7.600.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Sat, 24 Dec 2016 21:19:03 +0530

armadillo (1:7.500.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Tue, 29 Nov 2016 18:40:29 +0530

armadillo (1:7.500.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Tue, 15 Nov 2016 06:02:42 +0530

armadillo (1:7.500.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update watch file
  * Update copyright file

 -- Kumar Appaiah <akumar@debian.org>  Wed, 26 Oct 2016 20:47:35 +0530

armadillo (1:7.400.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update watch file to use SF magic URL

 -- Kumar Appaiah <akumar@debian.org>  Sat, 24 Sep 2016 17:07:31 +0530

armadillo (1:7.400.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Works with superlu 5 (Closes: #837152)

 -- Kumar Appaiah <akumar@debian.org>  Fri, 09 Sep 2016 20:56:23 +0530

armadillo (1:7.400.1+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Wed, 17 Aug 2016 16:07:37 +0530

armadillo (1:7.200.2+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Update superlu dependency to 5.2 or more
  * Switch to dpkg-source 3.0 (quilt) format
  * Standards version is now 3.9.8 (no changes needed)
  * The new package (with soname) is libarmadillo7
  * Convert to 3.0 (quilt)

 -- Kumar Appaiah <akumar@debian.org>  Tue, 05 Jul 2016 10:50:51 +0530

armadillo (1:6.700.6+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Wed, 04 May 2016 07:11:13 +0530

armadillo (1:6.700.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Standards version is now 3.6.7 (no changes required)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 10 Apr 2016 18:17:04 +0530

armadillo (1:6.500.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Alter dfsg-repack.sh to ignore .mat files

 -- Kumar Appaiah <akumar@debian.org>  Mon, 15 Feb 2016 21:02:28 +0530

armadillo (1:6.400.3+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Wed, 23 Dec 2015 16:45:14 +0530

armadillo (1:6.200.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright updated to reflect correct copyright assignment.

 -- Kumar Appaiah <akumar@debian.org>  Tue, 17 Nov 2015 18:15:06 +0530

armadillo (1:6.100.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Kumar Appaiah <akumar@debian.org>  Sun, 11 Oct 2015 07:16:19 +0530

armadillo (1:6.100.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * The new package (with soname) is libarmadillo6

 -- Kumar Appaiah <akumar@debian.org>  Mon, 05 Oct 2015 21:24:27 +0530

armadillo (1:5.500.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Fri, 04 Sep 2015 12:04:31 +0530

armadillo (1:5.400.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Mon, 24 Aug 2015 20:03:56 +0530

armadillo (1:5.200.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Sat, 13 Jun 2015 16:17:23 +0530

armadillo (1:5.100.2+dfsg-5) unstable; urgency=medium

  * Remove extraneous Proxy.hpp patch

 -- Kumar Appaiah <akumar@debian.org>  Tue, 26 May 2015 08:43:29 +0530

armadillo (1:5.100.2+dfsg-4) unstable; urgency=medium

  * libarmadillo-dev depends on libsuperlu-dev

 -- Kumar Appaiah <akumar@debian.org>  Sat, 23 May 2015 14:40:49 +0530

armadillo (1:5.100.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Kumar Appaiah <akumar@debian.org>  Thu, 21 May 2015 18:33:04 +0530

armadillo (1:5.100.2+dfsg-2) experimental; urgency=medium

  * Add libsuperlu dependency

 -- Kumar Appaiah <akumar@debian.org>  Tue, 19 May 2015 11:30:01 +0530

armadillo (1:5.100.2+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Sat, 16 May 2015 20:27:43 +0530

armadillo (1:5.000.1+dfsg-1) experimental; urgency=medium

  * New upstream release
  * The new package (with soname) is libarmadillo5
  * Standards version is now 3.9.6 (no changes)

 -- Kumar Appaiah <akumar@debian.org>  Sat, 18 Apr 2015 06:06:13 +0530

armadillo (1:4.550.2+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Fri, 05 Dec 2014 19:26:06 +0530

armadillo (1:4.450.4+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Mon, 27 Oct 2014 20:06:26 +0530

armadillo (1:4.450.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Sat, 04 Oct 2014 09:31:39 +0530

armadillo (1:4.400.2+dfsg-2) unstable; urgency=medium

  * Remove hdf5 build dependency

 -- Kumar Appaiah <akumar@debian.org>  Mon, 08 Sep 2014 15:43:44 +0530

armadillo (1:4.400.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Depend on dpkg-dev 1.16.1 or higher and use buildflags.mk instead of
    hardening-wrapper.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 06 Sep 2014 15:41:57 +0530

armadillo (1:4.320.0+dfsg-1) unstable; urgency=medium

  * New upstream releasep

 -- Kumar Appaiah <akumar@debian.org>  Fri, 11 Jul 2014 16:14:15 +0530

armadillo (1:4.300.8+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Thu, 05 Jun 2014 00:32:53 -0400

armadillo (1:4.300.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Depend on libhdf5-dev dor upstream changes

 -- Kumar Appaiah <akumar@debian.org>  Mon, 05 May 2014 22:52:03 -0400

armadillo (1:4.200.0+dfsg-1) unstable; urgency=medium

  * Update SCM URIs to canonical ones
  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Mon, 07 Apr 2014 20:25:16 -0400


