## armadillo 7.960.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,24 @@
 
-# Copyright (C) 2008-2016 National ICT Australia (NICTA)
+# Copyright 2008-2016 Conrad Sanderson (http://conradsanderson.id.au)
+# Copyright 2008-2016 National ICT Australia (NICTA)
 # 
-# This Source Code Form is subject to the terms of the Mozilla Public
-# License, v. 2.0. If a copy of the MPL was not distributed with this
-# file, You can obtain one at http://mozilla.org/MPL/2.0/.
-# -------------------------------------------------------------------
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+# http://www.apache.org/licenses/LICENSE-2.0
 # 
-# Written by Conrad Sanderson - http://conradsanderson.id.au
-# Written by Ryan Curtin
-# Written by Clement Creusot
-
-
-
-cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
-
-project(armadillo CXX)
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ------------------------------------------------------------------------
+
+
+
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+
+project(armadillo CXX C)
 include(CheckIncludeFileCXX)
 include(CheckLibraryExists)
 
@@ -36,6 +40,17 @@
 set(ARMA_USE_EXTERN_CXX11_RNG false)
 set(ARMA_USE_SUPERLU          false)  # Caveat: only SuperLU version 5.x can be used!
 
+## NOTE: OpenBLAS appears to have its own LAPACK functions,
+## NOTE: but on some systems the installed version of OpenBLAS
+## NOTE: has been modified not to include LAPACK functions.
+## NOTE: As the presence of LAPACK functions in OpenBLAS can't be guaranteed,
+## NOTE: this installer script requires LAPACK to be present on the system
+## NOTE: in order to enable the use of LAPACK functions by Armadillo.
+## NOTE: This installer will link with OpenBLAS first,
+## NOTE: so if a full version of OpenBLAS is actually present on the system,
+## NOTE: the linker should make use of LAPACK functions from OpenBLAS
+## NOTE: instead of standard LAPACK.
+
 
 ## extract version from sources
 
@@ -53,7 +68,49 @@
 message(STATUS "Configuring Armadillo ${ARMA_VERSION_MAJOR}.${ARMA_VERSION_MINOR}.${ARMA_VERSION_PATCH}")
 
 
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_aux/Modules/")
+# As Red Hat Enterprise Linux (and related systems such as Fedora)
+# does not search /usr/local/lib by default, we need to place the
+# library in either /usr/lib or /usr/lib64
+
+if(NOT APPLE)
+  if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+    message(STATUS "*** CMAKE_INSTALL_PREFIX was initalised by cmake to the default value of ${CMAKE_INSTALL_PREFIX}")
+    message(STATUS "*** CMAKE_INSTALL_PREFIX changed to /usr")
+    set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "Standard install prefix" FORCE)
+  endif()
+endif()
+
+
+# Adhere to GNU filesystem layout conventions
+include(GNUInstallDirs)
+
+# deprecated options
+set(INSTALL_LIB_DIR     "" CACHE STRING "deprecated; use CMAKE_INSTALL_LIBDIR instead")
+set(INSTALL_INCLUDE_DIR "" CACHE STRING "deprecated; use CMAKE_INSTALL_INCLUDEDIR instead")
+set(INSTALL_DATA_DIR    "" CACHE STRING "deprecated; use CMAKE_INSTALL_DATADIR instead")
+set(INSTALL_BIN_DIR     "" CACHE STRING "deprecated; use CMAKE_INSTALL_BINDIR instead")
+
+if(INSTALL_LIB_DIR)
+  message(STATUS "*** INSTALL_LIB_DIR is deprecated; use CMAKE_INSTALL_LIBDIR instead")
+  set(CMAKE_INSTALL_LIBDIR "${INSTALL_LIB_DIR}")
+  GNUInstallDirs_get_absolute_install_dir(CMAKE_INSTALL_FULL_LIBDIR CMAKE_INSTALL_LIBDIR)
+endif()
+
+if(INSTALL_INCLUDE_DIR)
+  message(STATUS "*** INSTALL_INCLUDE_DIR is deprecated; use CMAKE_INSTALL_INCLUDEDIR instead")
+  set(CMAKE_INSTALL_INCLUDEDIR "${INSTALL_INCLUDE_DIR}")
+  GNUInstallDirs_get_absolute_install_dir(CMAKE_INSTALL_FULL_INCLUDEDIR CMAKE_INSTALL_INCLUDEDIR)
+endif()
+
+if(INSTALL_DATA_DIR)
+  message(STATUS "*** INSTALL_DATA_DIR is deprecated; use CMAKE_INSTALL_DATADIR instead")
+  set(CMAKE_INSTALL_DATADIR "${INSTALL_DATA_DIR}")
+endif()
+
+if(INSTALL_BIN_DIR)
+  message(STATUS "*** INSTALL_BIN_DIR is deprecated; use CMAKE_INSTALL_BINDIR instead")
+  set(CMAKE_INSTALL_BINDIR "${INSTALL_BIN_DIR}")
+endif()
 
 
 if(MSVC)
@@ -61,8 +118,6 @@
 else()
   option(BUILD_SHARED_LIBS "build shared library" ON)
 endif()
-
-option(DETECT_PKG_CONFIG "Detect pkg-config and install pkg-config data, if found" ON)
 
 option(DETECT_HDF5 "Detect HDF5 and include HDF5 support, if found" OFF)
 
@@ -88,13 +143,14 @@
 message(STATUS "CMAKE_CXX_COMPILER_VERSION = ${CMAKE_CXX_COMPILER_VERSION}")
 message(STATUS "CMAKE_COMPILER_IS_GNUCXX   = ${CMAKE_COMPILER_IS_GNUCXX}"  )
 message(STATUS "BUILD_SHARED_LIBS          = ${BUILD_SHARED_LIBS}"         )
-message(STATUS "DETECT_PKG_CONFIG          = ${DETECT_PKG_CONFIG}"         )
 message(STATUS "DETECT_HDF5                = ${DETECT_HDF5}"               )
 
 
 ##
 ## Find LAPACK and BLAS libraries, or their optimised versions
 ##
+
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_aux/Modules/")
 
 if(APPLE)
   
@@ -228,9 +284,7 @@
 endif()
 
 
-if(DETECT_PKG_CONFIG)
-  find_package(PkgConfig)
-endif()
+find_package(PkgConfig)
 
 
 # set(DETECT_HDF5 true)
@@ -240,7 +294,7 @@
 ## cmake -D DETECT_HDF5=true .
 
 if(DETECT_HDF5)
-  find_package(HDF5 QUIET)
+  find_package(HDF5 QUIET COMPONENTS C)
 
   if(NOT HDF5_FOUND)
     # On Debian systems, the HDF5 package has been split into multiple packages
@@ -257,67 +311,3 @@
       if (HDF5_FOUND)
         link_directories("${HDF5_LIBRARY_DIRS}")
       endif()
-    endif()
-  endif()
- 
-  message(STATUS "HDF5_FOUND = ${HDF5_FOUND}")
-  if(HDF5_FOUND)
-    set(ARMA_USE_HDF5_ALT true)
-    set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${HDF5_INCLUDE_DIRS})
-    set(ARMA_LIBS ${ARMA_LIBS} ${HDF5_LIBRARIES})
-    # Since we called HDF5 with no arguments, the script will find only the C
-    # bindings.  So HDF5_INCLUDE_DIRS may now contain one or two elements; if it
-    # contains two, the first is what the user passed as HDF5_INCLUDE_DIR and we
-    # should use that as ARMA_HDF5_INCLUDE_DIR.  Otherwise, the one entry in
-    # HDF5_INCLUDE_DIRS is the correct include directory.  So, in either case we
-    # can use the first element in the list.  Issue a status message, too, just
-    # for good measure.
-    list(GET HDF5_INCLUDE_DIRS 0 ARMA_HDF5_INCLUDE_DIR)
-    message(STATUS "Set ARMA_HDF5_INCLUDE_DIR to ${ARMA_HDF5_INCLUDE_DIR}")
-  endif()
-endif()
-
-include(ARMA_FindARPACK)
-message(STATUS "ARPACK_FOUND = ${ARPACK_FOUND}")
-
-if(ARPACK_FOUND)
-  set(ARMA_USE_ARPACK true)
-  set(ARMA_LIBS ${ARMA_LIBS} ${ARPACK_LIBRARY})
-endif()
-
-include(ARMA_FindSuperLU5)
-message(STATUS "SuperLU_FOUND = ${SuperLU_FOUND}")
-
-if(SuperLU_FOUND)
-  message(STATUS "SuperLU_INCLUDE_DIR = ${SuperLU_INCLUDE_DIR}")
-  set(ARMA_USE_SUPERLU true)
-  set(ARMA_LIBS ${ARMA_LIBS} ${SuperLU_LIBRARY})
-  set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${SuperLU_INCLUDE_DIR})
-  set(ARMA_SUPERLU_INCLUDE_DIR ${SuperLU_INCLUDE_DIR})
-endif()
-
-message(STATUS "")
-message(STATUS "*** Armadillo wrapper library will use the following libraries:")
-message(STATUS "*** ARMA_LIBS = ${ARMA_LIBS}")
-message(STATUS "")
-
-
-if(DEFINED CMAKE_CXX_COMPILER_ID AND DEFINED CMAKE_CXX_COMPILER_VERSION)
-  if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND NOT ${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS 4.8.3)
-    set(ARMA_USE_EXTERN_CXX11_RNG true)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-    message(STATUS "Detected gcc 4.8.3 or later. Added '-std=c++11' to compiler flags")
-  endif()
-endif()
-
-
-message(STATUS "Copying ${PROJECT_SOURCE_DIR}/include/ to ${PROJECT_BINARY_DIR}/tmp/include/")
-file(COPY ${PROJECT_SOURCE_DIR}/include/ DESTINATION ${PROJECT_BINARY_DIR}/tmp/include/)
-
-message(STATUS "Generating ${PROJECT_BINARY_DIR}/tmp/include/config.hpp")
-configure_file(${PROJECT_BINARY_DIR}/tmp/include/armadillo_bits/config.hpp.cmake ${PROJECT_BINARY_DIR}/tmp/include/armadillo_bits/config.hpp)
-
-message(STATUS "Generating ${PROJECT_SOURCE_DIR}/examples/Makefile")
-configure_file(${PROJECT_SOURCE_DIR}/examples/Makefile.cmake ${PROJECT_SOURCE_DIR}/examples/Makefile)
-
-
