=== debian/changelog ===
armadillo (1:7.960.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Wed, 23 Aug 2017 22:38:28 +0530

armadillo (1:7.950.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Tue, 20 Jun 2017 20:36:34 +0530

armadillo (1:7.900.1+dfsg-2) experimental; urgency=medium

  * Update copyright to reflect Apache License

 -- Kumar Appaiah <akumar@debian.org>  Tue, 16 May 2017 07:08:51 +0530

armadillo (1:7.900.1+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Mon, 15 May 2017 20:42:34 +0530

armadillo (1:7.600.2+dfsg-2) unstable; urgency=medium

  * Add patch for conv_alias from upstream

 -- Kumar Appaiah <akumar@debian.org>  Sun, 19 Feb 2017 12:24:41 +0530
