## armadillo 8.400.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -119,7 +119,7 @@
   option(BUILD_SHARED_LIBS "build shared library" ON)
 endif()
 
-option(DETECT_HDF5 "Detect HDF5 and include HDF5 support, if found" OFF)
+option(DETECT_HDF5 "Detect HDF5 and include HDF5 support, if found" ON)
 
 
 if(WIN32)
@@ -166,6 +166,8 @@
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
     message(STATUS "Clang compiler on MacOS X detected. Added '-stdlib=libc++' to compiler flags")
   endif()
+  
+  set(CMAKE_MACOSX_RPATH 1)
   
 else()
   
@@ -287,11 +289,11 @@
 find_package(PkgConfig)
 
 
-# set(DETECT_HDF5 true)
-
-## uncomment the above line to enable the detection of the HDF5 library;
-## you can also enable HDF5 detection directly on the command line:
-## cmake -D DETECT_HDF5=true .
+# set(DETECT_HDF5 false)
+
+## uncomment the above line to disable the detection of the HDF5 library;
+## you can also disable HDF5 detection directly on the command line:
+## cmake -D DETECT_HDF5=false .
 
 if(DETECT_HDF5)
   find_package(HDF5 QUIET COMPONENTS C)
@@ -309,5 +311,3 @@
       # what we get is HDF5_LIBRARY_DIRS which is the equivalent of what we'd
       # pass to -L.  So we have to add those...
       if (HDF5_FOUND)
-        link_directories("${HDF5_LIBRARY_DIRS}")
-      endif()
