=== debian/changelog ===
armadillo (1:8.400.0+dfsg-2) unstable; urgency=medium

  * Fix debian/rules to allow armadillo to build from source. Patch from
    Helmut Grohne. (Closes: #875405)
  * Add -V to dh_makeshlibs to obtain versioned dependencies. (Closes: #885971)
  * debhelper compay 9 automagically produces debug symbols.. (Closes: #744048)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 21 Feb 2018 06:04:02 +0530

armadillo (1:8.400.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Tue, 20 Feb 2018 19:48:07 +0530

armadillo (1:8.300.3+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Mon, 22 Jan 2018 03:40:01 +0530

armadillo (1:8.300.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Sun, 10 Dec 2017 09:43:58 +0530

armadillo (1:8.200.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Tue, 21 Nov 2017 07:14:33 +0530

armadillo (1:8.200.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable
  * Fix copyright file to adhere to copyright format 1.0

 -- Kumar Appaiah <akumar@debian.org>  Mon, 06 Nov 2017 11:59:34 +0530

armadillo (1:8.200.0+dfsg-2) experimental; urgency=medium

  * Update and fix copyright to reflect new and corrected license and
    copyright holder details.

 -- Kumar Appaiah <akumar@debian.org>  Wed, 11 Oct 2017 08:56:05 +0530

armadillo (1:8.200.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * The new package (with soname) is libarmadillo8
  * Standards Version is now 4.1.1 (no changes)

 -- Kumar Appaiah <akumar@debian.org>  Tue, 10 Oct 2017 05:22:15 +0530
