=== debian/watch ===
version=4
opts=dversionmangle=s/\.dfsg\.\d+//,repacksuffix=+dfsg,compression=xz \
http://sf.net/arma/ armadillo-(.+)\.tar\.xz debian uupdate
