## armadillo 9.200.7+dfsg

=== debian/changelog ===
armadillo (1:9.200.7+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #920015)

 -- Kumar Appaiah <akumar@debian.org>  Mon, 21 Jan 2019 21:22:55 +0530
