=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Standards-Version: 4.1.1
 Section: libs
 Homepage: http://arma.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/armadillo.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/armadillo.git
+Vcs-Git: https://salsa.debian.org/science-team/armadillo.git
+Vcs-Browser: https://salsa.debian.org/science-team/armadillo
 
 Package: libarmadillo-dev
 Section: libdevel
 Architecture: any
 Suggests: libitpp-dev
-Depends: libarmadillo8 (= ${binary:Version}), ${misc:Depends}, libarpack2-dev, libhdf5-dev, libsuperlu-dev (>= 5.2)
+Depends: libarmadillo9 (= ${binary:Version}), ${misc:Depends}, libarpack2-dev, libhdf5-dev, libsuperlu-dev (>= 5.2)
 Replaces: libarmadillo-doc (<= 1.1.2-1)
 Conflicts: libarmadillo-doc
 Description: streamlined C++ linear algebra library - Headers
@@ -25,7 +25,7 @@
  .
  This package has the development libraries and headers for Armadillo.
 
-Package: libarmadillo8
+Package: libarmadillo9
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
